> For the complete documentation index, see [llms.txt](https://docs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akinon.com/technical-guides/channel-app-template/architecture/services-flows/image-service.md).

# Image Service

The Image Service manages the creation, updating, and deletion of product images. It relies on integrations from OmnitronIntegration and ChannelIntegration to perform these actions.

### *class* ImageService *(object)*

#### Update Product Images

*(self, is\_sync=True, is\_success\_log=True)*

This function first connects to Akinon Omnitron and retrieves the image information for products that can be updated to the sales channel. It then sends this information to the sales channel via the `send_updated_images command`. The value of the `is_sync` parameter determines whether the communication with the sales channel will be synchronous or asynchronous. If it is asynchronous, the necessary records are created through `batch_service`. If an error occurs, an `error_report` is generated in the Sales Channel Logs.

#### Insert Product Images

*(self, is\_sync=True, is\_success\_log=True)*

This function first connects to Akinon Omnitron and retrieves the image information for products that can be added to the sales channel. It then sends this information to the sales channel via the `send_inserted_images` command. The value of the `is_sync` parameter determines whether the communication with the sales channel will be synchronous or asynchronous. If it is asynchronous, the necessary records are created through `batch_service`. If an error occurs, an `error_report` is generated in the Sales Channel Logs.

#### Get Image Batch Requests

*(self, is\_success\_log=True)*

This function first connects to Akinon Omnitron and retrieves the ongoing `batch_requests` that have been sent for creating/updating products in the sales channel. It then queries the sales channel using the `check_products` command. If an error occurs, an `error_report` is generated in the Sales Channel Logs. Finally, it completes the process by sending the response received from the sales channel back to Akinon Omnitron.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akinon.com/technical-guides/channel-app-template/architecture/services-flows/image-service.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
